{
  "type" : "record",
  "name" : "AcmgEvidence",
  "namespace" : "org.gel.models.report.avro",
  "doc" : "AcmgEvidence. This should be buit for each one of the evidences assing to a variants following the ACMG guidelines.\n    An AcmgEvidence, should map with one of the criteria defined, i.e, PVS1, BA1, PM1...",
  "fields" : [ {
    "name" : "category",
    "type" : {
      "type" : "enum",
      "name" : "AcmgEvidenceCategory",
      "doc" : "Each ACMG criterion is classified in one of these categories",
      "symbols" : [ "population_data", "computational_and_predictive_data", "functional_data", "segregation_data", "de_novo_data", "allelic_data", "other_database", "other_data" ]
    },
    "doc" : "Evidence category as defined in ACMG guidelines"
  }, {
    "name" : "type",
    "type" : {
      "type" : "enum",
      "name" : "AcmgEvidenceType",
      "doc" : "Each ACMG cirterion will be classifed as bening or pathogenic",
      "symbols" : [ "bening", "pathogenic" ]
    },
    "doc" : "Evidence type: bening or pathogenic"
  }, {
    "name" : "weight",
    "type" : {
      "type" : "enum",
      "name" : "AcmgEvidenceWeight",
      "doc" : "Each ACMG criterion is weighted using the following terms:\n\n* `stand_alone`: `A`, stand-alone applied for benign variant critieria `(BA1)`\n* `supporting`: `P`, supporting applied for benign variant critieria `(BP1-6)` and pathogenic variant criteria `(PP1-5)`\n* `moderate`: `M`, moderate applied for pathogenic variant critieria (PM1-6)\n* `strong`: `S`, strong applied for pathogenic variant critieria (PS1-4)\n* `very_strong`: `S`, Very Stong applied for pathogenic variant critieria (PVS1)",
      "symbols" : [ "stand_alone", "supporting", "moderate", "strong", "very_strong" ]
    },
    "doc" : "Weight categories as described in ACMG guideline"
  }, {
    "name" : "modifier",
    "type" : "int",
    "doc" : "modifier of the strength, together define each creteria, i.e the 2 in PM2"
  }, {
    "name" : "activationStrength",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "ActivationStrength",
      "doc" : "Activation Strength enumeration:\n* `strong`\n* `moderate`\n* `supporting`",
      "symbols" : [ "strong", "moderate", "supporting" ]
    } ],
    "doc" : "Activation Strength"
  }, {
    "name" : "description",
    "type" : [ "null", "string" ],
    "doc" : "Description of the evidence"
  } ]
}
